This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 475055

Summary: Review Request: gfan - Software for Computing Gröbner Fans and Tropical Varieties
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: a.badger, fedora-package-review, lmacken, notting, rdieter, tcallawa, tremble
Target Milestone: ---Flags: mtasaka: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-20 12:02:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Email Body none

Description Conrad Meyer 2008-12-06 23:25:30 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/gfan.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/gfan-0.3-1.fc9.src.rpm
Description:
The software computes all marked reduced Gröbner bases of an ideal.
Their union is a universal Gröbner basis. Gfan contains algorithms for
computing this complex for general ideals and specialized algorithms
for tropical curves, tropical hypersurfaces and tropical varieties of
prime ideals. In addition to the above core functions the package
contains many tools which are useful in the study of Gröbner bases,
initial ideals and tropical geometry. Among these are an interactive
traversal program for Gröbner fans and programs for graphical renderings.
Comment 1 Rex Dieter 2008-12-11 14:55:45 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=993871
Comment 3 Mamoru TASAKA 2008-12-26 12:16:13 EST
Some notes:

* License
  - The license tag should be "GPL+" as no version is specified
  - However LICENSE (and also README) file also says that files 
    under doc/ are non-free.
    Please follow
    https://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code
    and remove all files under doc/ from the source tarball
    completely.
  - Include LICENSE file as %doc as this is important.

* CFLAGS
  - I guess
-------------------------------------------------------------
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
-------------------------------------------------------------
    is not needed.
Comment 4 Conrad Meyer 2008-12-30 21:38:22 EST
Fixed; see:

http://konradm.fedorapeople.org/fedora/SPECS/gfan.spec
http://konradm.fedorapeople.org/fedora/SRPMS/gfan-0.3-3.fc9.src.rpm

Sorry for the delay.

However, LICENSE only says this:
"""
The manual for Gfan is NOT distributed under the GNU GENERAL PUBLIC LICENSE.
The manual may be freely redistributed but is not allowed to be changed.
The manual may be removed from the software package.
"""

Does that violate Fedora guidelines? I don't think so. (But I have removed doc/ from the srpm as per your advice anyways.)
Comment 5 Mamoru TASAKA 2009-01-01 10:31:18 EST
Okay.

----------------------------------------------------------
   This package (gfan) is APPROVED by mtasaka
----------------------------------------------------------

(In reply to comment #4)
> However, LICENSE only says this:
> """
> The manual for Gfan is NOT distributed under the GNU GENERAL PUBLIC LICENSE.
> The manual may be freely redistributed but is not allowed to be changed.
> The manual may be removed from the software package.
> """
> 
> Does that violate Fedora guidelines? I don't think so. 

"The manual is not allowed to be changed" is definitely non-free,
so this part cannot be in Fedora:
https://fedoraproject.org/wiki/Licensing/FAQ
Comment 6 Conrad Meyer 2009-01-01 16:07:07 EST
(In reply to comment #5)
> (In reply to comment #4)
> > However, LICENSE only says this:
> > """
> > The manual for Gfan is NOT distributed under the GNU GENERAL PUBLIC LICENSE.
> > The manual may be freely redistributed but is not allowed to be changed.
> > The manual may be removed from the software package.
> > """
> > 
> > Does that violate Fedora guidelines? I don't think so. 
> 
> "The manual is not allowed to be changed" is definitely non-free,
> so this part cannot be in Fedora:
> https://fedoraproject.org/wiki/Licensing/FAQ

"""
  Does Fedora permit anything under "Non-Free" licensing?

When it comes to software or fonts, the answer is definitely no. We strongly prefer that items classified as content (see Code Vs Content) are under a Free license, but we only require that they be freely distributable without restrictions.
"""

I think a manual is content as opposed to code and therefore freely distributable is ok.
Comment 7 Tom "spot" Callaway 2009-01-12 17:47:53 EST
(In reply to comment #6)

> I think a manual is content as opposed to code and therefore freely
> distributable is ok.

I hate this loophole. I really really really do. Can you ask upstream if we can have permission to make derived works of the manual?
Comment 8 Conrad Meyer 2009-01-12 18:36:36 EST
(For those too lazy to read above: the current state of the package is that we are *not* shipping the manual.)

I will ask upstream to put something in their LICENSE about allowing derived works for the manual. If they insist upon not allowing derived works, I take it you (spot) would prefer we not ship the manual?
Comment 9 Conrad Meyer 2009-01-12 18:37:49 EST
Oh, and because it is freely redistributable, is it ok to *not* cull this from the upstream tarball at each release (just remove it in %prep)?
Comment 10 Conrad Meyer 2009-01-12 18:46:23 EST
Created attachment 328805 [details]
Email Body

This is the body of the email query I sent to Gfan's author.
Comment 11 Tom "spot" Callaway 2009-01-13 10:26:41 EST
(In reply to comment #9)
> Oh, and because it is freely redistributable, is it ok to *not* cull this from
> the upstream tarball at each release (just remove it in %prep)?

Yes. There is no need to hack up the upstream tarball to remove this.

I'd really prefer we didn't ship the manual. I'm thinking seriously about closing this loophole with FESCo.
Comment 12 Conrad Meyer 2009-01-13 12:47:33 EST
New Package CVS Request
=======================
Package Name: gfan
Short Description: Software for Computing Gröbner Fans and Tropical Varieties
Owners: konradm
Branches: F-10 F-9
InitialCC:
Comment 13 Conrad Meyer 2009-01-13 12:50:34 EST
Oh, just kidding -- I didn't notice you changed the review flag back to '?'.
Comment 14 Mamoru TASAKA 2009-01-14 10:11:36 EST
Okay, I re-approve this package.
Comment 15 Conrad Meyer 2009-01-14 11:36:22 EST
Thanks!
Comment 16 Kevin Fenzi 2009-01-14 16:19:08 EST
This is still blocking FE_LEGAL. 
Spot: should this be oked now? Or is it waiting pending something further?
Comment 17 Tom "spot" Callaway 2009-01-14 16:27:03 EST
(In reply to comment #16)
> This is still blocking FE_LEGAL. 
> Spot: should this be oked now? Or is it waiting pending something further?

Conrad, did you remove the manual from the package (not the tarball)?
Comment 18 Conrad Meyer 2009-01-14 18:38:32 EST
(In reply to comment #17)
> (In reply to comment #16)
> > This is still blocking FE_LEGAL. 
> > Spot: should this be oked now? Or is it waiting pending something further?
> 
> Conrad, did you remove the manual from the package (not the tarball)?

Yup. (Went back to using the original (not-stripped) tarball though.)
Comment 19 Tom "spot" Callaway 2009-01-15 11:00:49 EST
(In reply to comment #18)
> (In reply to comment #17)
> > (In reply to comment #16)
> > > This is still blocking FE_LEGAL. 
> > > Spot: should this be oked now? Or is it waiting pending something further?
> > 
> > Conrad, did you remove the manual from the package (not the tarball)?
> 
> Yup. (Went back to using the original (not-stripped) tarball though.)

Lifting FE-Legal then. :)
Comment 20 Kevin Fenzi 2009-01-15 15:25:24 EST
cvs done.
Comment 21 Mamoru TASAKA 2009-01-17 08:31:40 EST
Please submit push request also for F-9 on bodhi.
Comment 22 Conrad Meyer 2009-01-17 19:10:58 EST
(In reply to comment #21)
> Please submit push request also for F-9 on bodhi.

When I tried to submit updates on bodhi I kept getting 500 server errors. I'll try again.
Comment 23 Conrad Meyer 2009-01-17 19:15:58 EST
Ok, bodhi thinks that "gfan-0.3-3.fc9 update already exists!" But it doesn't show up in the list nor do searches show anything.
Comment 24 Mamoru TASAKA 2009-01-18 09:19:49 EST
(In reply to comment #23)
> Ok, bodhi thinks that "gfan-0.3-3.fc9 update already exists!" But it doesn't
> show up in the list nor do searches show anything.

I see this issue (I tried to submit gfan 0.3-3.fc9 updates
request and got the same error).

CCing to Toshio. Would you examine what is happening?
Comment 25 Luke Macken 2009-01-19 12:40:11 EST
The bodhi issue should be fixed.  There was a stray PackageBuild lying around, without the corresponding PackageUpdate.  You should be able to re-submit it without problems.
Comment 26 Conrad Meyer 2009-01-19 14:35:59 EST
Thanks.
Comment 27 Mamoru TASAKA 2009-01-20 12:02:30 EST
Okay, now this review request is closed.
Comment 28 Mark Chappell 2010-03-17 04:08:02 EDT
Package Change Request
======================
Package Name: gfan
New Branches: EL-5
Owners: tremble    

Fedora owner not interested in EL:
https://bugzilla.redhat.com/show_bug.cgi?id=574081
Comment 29 Kevin Fenzi 2010-03-17 14:03:26 EDT
cvs done.